<nav class="navbar">
    <div class="container">
        <div class="header-container">
            <h3>Challenge COA</h3>
        </div>
        <div class="nav-links-container">
            <ul class="nav-links">
                <li>
                    <a [routerLink]="['/dashboard/home']">
                        Home 
                        <mat-icon 
                            fontIcon="home">
                        </mat-icon>
                    </a>
                </li>
                <li>
                    <a [routerLink]="['/dashboard/cart']">
                        Cart
                        <mat-icon 
                            fontIcon="shopping_cart">
                        </mat-icon>
                    </a>
                </li>
                <li>
                    <button 
                        mat-raised-button 
                        color="warn"
                        (click)="logout()">Logout</button>
                </li>
            </ul>
        </div>
    </div>
</nav>